# Ogre::SDLConfig Class Reference

Simple CLI config. More...

`#include <OgreSDLConfig_cli.h>`

Inheritance diagram for Ogre::SDLConfig:

List of all members.

## Public Member Functions

| SDLConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.
| SDLConfig ()
bool | display (void)
| Displays a message about reading the config and then attempts to read it from a config file.

## Protected Member Functions

bool | on_window_delete (GdkEventAny *event)
void | on_option_changed ()
void | on_renderer_changed ()
void | on_value_changed ()
void | on_btn_ok ()
void | on_btn_cancel ()

## Protected Attributes

RenderSystem * | mSelectedRenderSystem

## Private Member Functions

void | update_option_list ()

## Private Attributes

Gtk::Window * | _winConfig
ModelColumns | _columns
Glib::RefPtr< Gtk::ListStore > | _list_store
Gtk::TreeView * | _lstOptions
Glib::RefPtr< Gtk::TreeSelection > | _option_selection
int | _cur_index
Glib::ustring | _cur_name
Gtk::OptionMenu * | _optRenderer
Gtk::Label * | _lblOptName
Gtk::OptionMenu * | _optOptValues
Gtk::Menu * | _opt_menu
ConfigOptionMap | _options
RenderSystemList * | _renderers
RenderSystem * | _selected_renderer

## Detailed Description

Simple CLI config.

Definition at line 37 of file OgreSDLConfig_cli.h.

## Constructor & Destructor Documentation

Ogre::SDLConfig::SDLConfig | ( |  | ) |

| Definition at line 40 of file OgreSDLConfig_cli.h.

Ogre::SDLConfig::SDLConfig | ( |  | ) |

| Definition at line 46 of file OgreSDLConfig_gtk.h.

## Member Function Documentation

bool Ogre::SDLConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog.

bool Ogre::SDLConfig::display | ( | void |  | ) | `[virtual]`

| Displays a message about reading the config and then attempts to read it from a config file. Implements Ogre::ConfigDialog.

void Ogre::SDLConfig::on_btn_cancel | ( |  | ) | `[protected]`

void Ogre::SDLConfig::on_btn_ok | ( |  | ) | `[protected]`

void Ogre::SDLConfig::on_option_changed | ( |  | ) | `[protected]`

void Ogre::SDLConfig::on_renderer_changed | ( |  | ) | `[protected]`

void Ogre::SDLConfig::on_value_changed | ( |  | ) | `[protected]`

bool Ogre::SDLConfig::on_window_delete | ( | GdkEventAny * | event | ) | `[protected]`

void Ogre::SDLConfig::update_option_list | ( |  | ) | `[private]`

## Member Data Documentation

ModelColumns Ogre::SDLConfig::_columns `[private]`

| Definition at line 74 of file OgreSDLConfig_gtk.h.

int Ogre::SDLConfig::_cur_index `[private]`

| Definition at line 78 of file OgreSDLConfig_gtk.h.

Glib::ustring Ogre::SDLConfig::_cur_name `[private]`

| Definition at line 79 of file OgreSDLConfig_gtk.h.

Gtk::Label* Ogre::SDLConfig::_lblOptName `[private]`

| Definition at line 81 of file OgreSDLConfig_gtk.h.

Glib::RefPtr<Gtk::ListStore> Ogre::SDLConfig::_list_store `[private]`

| Definition at line 75 of file OgreSDLConfig_gtk.h.

Gtk::TreeView* Ogre::SDLConfig::_lstOptions `[private]`

| Definition at line 76 of file OgreSDLConfig_gtk.h.

Gtk::Menu* Ogre::SDLConfig::_opt_menu `[private]`

| Definition at line 83 of file OgreSDLConfig_gtk.h.

Glib::RefPtr<Gtk::TreeSelection> Ogre::SDLConfig::_option_selection `[private]`

| Definition at line 77 of file OgreSDLConfig_gtk.h.

ConfigOptionMap Ogre::SDLConfig::_options `[private]`

| Definition at line 84 of file OgreSDLConfig_gtk.h.

Gtk::OptionMenu* Ogre::SDLConfig::_optOptValues `[private]`

| Definition at line 82 of file OgreSDLConfig_gtk.h.

Gtk::OptionMenu* Ogre::SDLConfig::_optRenderer `[private]`

| Definition at line 80 of file OgreSDLConfig_gtk.h.

RenderSystemList* Ogre::SDLConfig::_renderers `[private]`

| Definition at line 85 of file OgreSDLConfig_gtk.h.

RenderSystem* Ogre::SDLConfig::_selected_renderer `[private]`

| Definition at line 86 of file OgreSDLConfig_gtk.h.

Gtk::Window* Ogre::SDLConfig::_winConfig `[private]`

| Definition at line 73 of file OgreSDLConfig_gtk.h.

RenderSystem* Ogre::ConfigDialog::mSelectedRenderSystem `[protected, inherited]`

| Definition at line 65 of file OgreConfigDialog.h.

The documentation for this class was generated from the following files:

- OgreSDLConfig_cli.h
- OgreSDLConfig_gtk.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Feb 12 13:05:09 2006